## Apache Zeta Components Manual :: Docs For Class ezcTreeXmlDataStore

### Tree::ezcTreeXmlDataStore

### Interface ezcTreeXmlDataStore

ezcTreeXmlDataStore is an interface defining common methods for XML based data stores.

Source for this file: /Tree/src/stores/xml.php

    ezcTreeDataStore
       |
       --ezcTreeXmlDataStore

Version: | //autogentag//

### Method Summary

public void | `setDomTree( $dom )` Associates the DOM tree for which this data store stores data for with this store.

### Inherited Methods

From ezcTreeDataStore
public void | `ezcTreeDataStore::deleteDataForAllNodes()` Deletes the data for all the nodes in the store.
public void | `ezcTreeDataStore::deleteDataForNodes()` Deletes the data for all the nodes in the node list $nodeList.
public void | `ezcTreeDataStore::fetchDataForNode()` Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.
public void | `ezcTreeDataStore::fetchDataForNodes()` Retrieves the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.
public void | `ezcTreeDataStore::storeDataForNode()` Stores the data in the node to the data store.

### Methods

#### setDomTree

void setDomTree( $dom )

Associates the DOM tree for which this data store stores data for with this store.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dom` | DOMDocument |

Documentation generated by phpDocumentor 1.4.3